- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/create#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/create#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/create#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/create#try-it)

Creates an assignment between an inventory source and an inventory source group.

### HTTP request

`POST https://displayvideo.googleapis.com/v4/inventorySourceGroups/{inventorySourceGroupId}/assignedInventorySources`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `inventorySourceGroupId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the inventory source group to which the assignment will be assigned. |

### Query parameters

| Parameters ||
|---|---|
| Required. Identifies the DV360 entity that owns the parent inventory source group. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that owns the parent inventory source group. Only this partner will have write access to this assigned inventory source. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that owns the parent inventory source group. The parent partner will not have access to this assigned inventory source. |
| End of mutually exclusive fields. ||

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources#AssignedInventorySource`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources#AssignedInventorySource`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).